compiler version required to run the BD J application on Cyberlink